Bug 1645691 - Update pdfposter to 0.7 as upstream has fixed some nasty bug
Summary: Update pdfposter to 0.7 as upstream has fixed some nasty bug
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pdfposter
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-02 21:08 UTC by Georg Sauthoff
Modified: 2018-11-29 04:57 UTC (History)
1 user (show)

Fixed In Version: pdfposter-0.7.post1-1.fc28 pdfposter-0.7.post1-1.fc27 pdfposter-0.7.post1-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-29 02:26:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Georg Sauthoff 2018-11-02 21:08:21 UTC
Description of problem:
Currently, the latest available pdfposter version is at 0.6. (f29, rawhide)

Upstream is at 0.7.post1.

0.6 doesn't include some important fixes, e.g. for a bug where page elements are lost in the generated PDF file.

I have a example file where 0.6 fails, but current upstream yields the expected results.

Also, upstream does support Python 3 (works well, tested it), thus, it would make sense to switch this package from Python 2 to Python 3.


In case this package is orphaned, I could take it over.

Comment 1 Fedora Update System 2018-11-05 11:43:12 UTC
pdfposter-0.7.post1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0993b8a90b

Comment 2 Fedora Update System 2018-11-05 11:48:07 UTC
pdfposter-0.7.post1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-01b7d856dc

Comment 3 Fedora Update System 2018-11-05 15:14:27 UTC
pdfposter-0.7.post1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ed9a74236e

Comment 4 Fedora Update System 2018-11-06 22:00:50 UTC
pdfposter-0.7.post1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0993b8a90b

Comment 5 Fedora Update System 2018-11-06 22:45:32 UTC
pdfposter-0.7.post1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ed9a74236e

Comment 6 Fedora Update System 2018-11-06 23:27:42 UTC
pdfposter-0.7.post1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-01b7d856dc

Comment 7 Fedora Update System 2018-11-29 02:26:34 UTC
pdfposter-0.7.post1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-11-29 04:52:27 UTC
pdfposter-0.7.post1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-11-29 04:57:49 UTC
pdfposter-0.7.post1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.